### Property

# Ide Buffer:read-only

#### Declaration

    property read-only: gboolean [ read ]

#### Description

The “read-only” property is set to `TRUE` when it has been discovered that the file represented by the `IdeBuffer` is read-only on the underlying storage.

Type: | `gboolean`
Available since: | 3.32

Getter method | `ide_buffer_get_read_only()`

#### Flags

Readable | yes
Writable | no
Construct | no
Construct only | no